Bug 1278685 - (python-pywt) Review Request: python-pywt - PyWavelets, wavelet transform module
Review Request: python-pywt - PyWavelets, wavelet transform module
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro python-PyMVPA
  Show dependency treegraph
 
Reported: 2015-11-06 02:24 EST by Igor Gnatenko
Modified: 2015-12-12 23:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-12 23:23:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-11-06 02:24:34 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-pywt.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-pywt-0.3.0-1.fc24.src.rpm
Description:
PyWavelets is a Python wavelet transforms module that can do:

* 1D and 2D Forward and Inverse Discrete Wavelet Transform (DWT and IDWT)
* 1D and 2D Stationary Wavelet Transform (Undecimated Wavelet Transform)
* 1D and 2D Wavelet Packet decomposition and reconstruction
* Computing Approximations of wavelet and scaling functions
* Over seventy built-in wavelet filters and support for custom wavelets
* Single and double precision calculations
* Results compatibility with Matlab Wavelet Toolbox
Fedora Account System Username: ignatenkobrain
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-26 17:05:35 EST
Original review is 644899.

Development has obviously been picked up again, so the reasons for retirement are voided.

Why do you need separate documentation for python2 and python3? Even if there are some small difference, I don't think they are important enough to pay for the overhead of packagers and build time and disk usage and potential user confusion.

Also, the docs are >1MB, so it might be nice to split them out into a separate -doc package.

Tests in /usr/lib/python3.5/site-packages/pywt/tests/ have
#!/usr/bin/env python
Should be changed to #!/usr/bin/python3.5.

Looks good otherwise. Rpmlint complains about /usr/bin/env, but has only false positives apart from that.
Comment 3 Zbigniew Jędrzejewski-Szmek 2015-11-28 17:02:37 EST
- latest version is packaged
- license is OK
- license file is present, %license is used
- latest python packaging template is used
- provides/requires are sane
- package builds and installs

All looks good. Package is APPROVED.




(BTW.: I don't think that the rule of preserving timestamps on files applies if you *modify* them. So I'd use plain 'sed -i' instead of the thing with .new and renaming, but of course doing it in the complicated way is also OK ;))
Comment 4 Fedora Update System 2015-12-02 06:07:50 EST
python-pywt-0.3.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d61d5c30f1
Comment 5 Fedora Update System 2015-12-03 20:37:14 EST
python-pywt-0.3.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pywt'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d61d5c30f1
Comment 6 Fedora Update System 2015-12-12 23:23:11 EST
python-pywt-0.3.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.